Subject: Re: bug#78943: feature/igc [PATCH] Trace current minor maps exactly

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Jul 2025 10:04:04 -0400

>> The patch uses the GC heap if there are more than 16 minor mode keymaps
>> active.  I'm not sure if that is enough; viper mode already activates 8.

Could we adjust this size dynamically, keeping a high-water-mark?
This way GC allocation would happen only when the high-water mark is
changed (if it goes beyond a preset threshold if we care about
contrived situations with thousands of minor mode maps).

> Adding Stefan to the discussion.

Fixing the API of `current_minor_modes` sounds good to me.

        Stefan